Freeciv-3.3: packet_player_info Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
packet_player_info Struct Reference

`#include <packets_gen.h>`

## Data Fields

int | playerno
char | name [MAX_LEN_NAME]
char | username [MAX_LEN_NAME]
bool | unassigned_user
int | score
bool | is_male
bool | was_created
Government_type_id | government
Government_type_id | target_government
bv_player | real_embassy
enum mood_type | mood
int | style
int | music_style
Nation_type_id | nation
int | team
bool | is_ready
bool | phase_done
int | nturns_idle
int | turns_alive
bool | is_alive
int | autoselect_weight
int | gold
int | tax
int | science
int | luxury
int | infrapoints
int | tech_upkeep
int | science_cost
bool | is_connected
int | revolution_finishes
enum ai_level | ai_skill_level
enum barbarian_type | barbarian_type
bv_player | gives_shared_vision
bv_player | gives_shared_tiles
int | history
int | culture
int | love [MAX_NUM_PLAYER_SLOTS]
bool | color_valid
bool | color_changeable
int | color_red
int | color_green
int | color_blue
bv_plr_flags | flags
int | wonders [B_LAST]
int | multip_count
int | multiplier [MAX_NUM_MULTIPLIERS]
int | multiplier_target [MAX_NUM_MULTIPLIERS]
int | multiplier_changed [MAX_NUM_MULTIPLIERS]

## Detailed Description

Definition at line 513 of file packets_gen.h.

## Field Documentation

## ◆ ai_skill_level

enum ai_level packet_player_info::ai_skill_level

Definition at line 544 of file packets_gen.h.

Referenced by package_player_common().

## ◆ autoselect_weight

int packet_player_info::autoselect_weight

Definition at line 534 of file packets_gen.h.

Referenced by package_player_info().

## ◆ barbarian_type

enum barbarian_type packet_player_info::barbarian_type

Definition at line 545 of file packets_gen.h.

Referenced by package_player_common().

## ◆ color_blue

int packet_player_info::color_blue

Definition at line 555 of file packets_gen.h.

Referenced by package_player_info().

## ◆ color_changeable

bool packet_player_info::color_changeable

Definition at line 552 of file packets_gen.h.

Referenced by package_player_info().

## ◆ color_green

int packet_player_info::color_green

Definition at line 554 of file packets_gen.h.

Referenced by package_player_info().

## ◆ color_red

int packet_player_info::color_red

Definition at line 553 of file packets_gen.h.

Referenced by package_player_info().

## ◆ color_valid

bool packet_player_info::color_valid

Definition at line 551 of file packets_gen.h.

Referenced by package_player_info().

## ◆ culture

int packet_player_info::culture

Definition at line 549 of file packets_gen.h.

Referenced by package_player_info().

## ◆ flags

bv_plr_flags packet_player_info::flags

Definition at line 556 of file packets_gen.h.

Referenced by package_player_common().

## ◆ gives_shared_tiles

bv_player packet_player_info::gives_shared_tiles

Definition at line 547 of file packets_gen.h.

Referenced by package_player_info().

## ◆ gives_shared_vision

bv_player packet_player_info::gives_shared_vision

Definition at line 546 of file packets_gen.h.

Referenced by package_player_info().

## ◆ gold

int packet_player_info::gold

Definition at line 535 of file packets_gen.h.

Referenced by package_player_info().

## ◆ government

Government_type_id packet_player_info::government

Definition at line 521 of file packets_gen.h.

Referenced by package_player_info().

## ◆ history

int packet_player_info::history

Definition at line 548 of file packets_gen.h.

Referenced by package_player_info().

## ◆ infrapoints

int packet_player_info::infrapoints

Definition at line 539 of file packets_gen.h.

Referenced by package_player_info().

## ◆ is_alive

bool packet_player_info::is_alive

Definition at line 533 of file packets_gen.h.

Referenced by package_player_common().

## ◆ is_connected

bool packet_player_info::is_connected

Definition at line 542 of file packets_gen.h.

Referenced by package_player_common().

## ◆ is_male

bool packet_player_info::is_male

Definition at line 519 of file packets_gen.h.

Referenced by package_player_common().

## ◆ is_ready

bool packet_player_info::is_ready

Definition at line 529 of file packets_gen.h.

Referenced by package_player_common().

## ◆ love

int packet_player_info::love[MAX_NUM_PLAYER_SLOTS]

Definition at line 550 of file packets_gen.h.

Referenced by package_player_common().

## ◆ luxury

int packet_player_info::luxury

Definition at line 538 of file packets_gen.h.

Referenced by package_player_info().

## ◆ mood

enum mood_type packet_player_info::mood

Definition at line 524 of file packets_gen.h.

Referenced by package_player_info().

## ◆ multip_count

int packet_player_info::multip_count

Definition at line 558 of file packets_gen.h.

Referenced by package_player_info().

## ◆ multiplier

int packet_player_info::multiplier[MAX_NUM_MULTIPLIERS]

Definition at line 559 of file packets_gen.h.

Referenced by package_player_info().

## ◆ multiplier_changed

int packet_player_info::multiplier_changed[MAX_NUM_MULTIPLIERS]

Definition at line 561 of file packets_gen.h.

Referenced by package_player_info().

## ◆ multiplier_target

int packet_player_info::multiplier_target[MAX_NUM_MULTIPLIERS]

Definition at line 560 of file packets_gen.h.

Referenced by package_player_info().

## ◆ music_style

int packet_player_info::music_style

Definition at line 526 of file packets_gen.h.

Referenced by package_player_common().

## ◆ name

char packet_player_info::name[MAX_LEN_NAME]

Definition at line 515 of file packets_gen.h.

Referenced by package_player_common().

## ◆ nation

Nation_type_id packet_player_info::nation

Definition at line 527 of file packets_gen.h.

Referenced by package_player_common().

## ◆ nturns_idle

int packet_player_info::nturns_idle

Definition at line 531 of file packets_gen.h.

Referenced by package_player_common().

## ◆ phase_done

bool packet_player_info::phase_done

Definition at line 530 of file packets_gen.h.

Referenced by package_player_common().

## ◆ playerno

int packet_player_info::playerno

Definition at line 514 of file packets_gen.h.

Referenced by package_player_common().

## ◆ real_embassy

bv_player packet_player_info::real_embassy

Definition at line 523 of file packets_gen.h.

Referenced by package_player_info().

## ◆ revolution_finishes

int packet_player_info::revolution_finishes

Definition at line 543 of file packets_gen.h.

Referenced by package_player_info().

## ◆ science

int packet_player_info::science

Definition at line 537 of file packets_gen.h.

Referenced by package_player_info().

## ◆ science_cost

int packet_player_info::science_cost

Definition at line 541 of file packets_gen.h.

Referenced by package_player_common().

## ◆ score

int packet_player_info::score

Definition at line 518 of file packets_gen.h.

Referenced by package_player_info().

## ◆ style

int packet_player_info::style

Definition at line 525 of file packets_gen.h.

Referenced by package_player_common().

## ◆ target_government

Government_type_id packet_player_info::target_government

Definition at line 522 of file packets_gen.h.

Referenced by package_player_info().

## ◆ tax

int packet_player_info::tax

Definition at line 536 of file packets_gen.h.

Referenced by package_player_info().

## ◆ team

int packet_player_info::team

Definition at line 528 of file packets_gen.h.

Referenced by package_player_common().

## ◆ tech_upkeep

int packet_player_info::tech_upkeep

Definition at line 540 of file packets_gen.h.

Referenced by package_player_info().

## ◆ turns_alive

int packet_player_info::turns_alive

Definition at line 532 of file packets_gen.h.

Referenced by package_player_common().

## ◆ unassigned_user

bool packet_player_info::unassigned_user

Definition at line 517 of file packets_gen.h.

Referenced by package_player_common().

## ◆ username

char packet_player_info::username[MAX_LEN_NAME]

Definition at line 516 of file packets_gen.h.

Referenced by package_player_common().

## ◆ was_created

bool packet_player_info::was_created

Definition at line 520 of file packets_gen.h.

Referenced by package_player_common().

## ◆ wonders

int packet_player_info::wonders[B_LAST]

Definition at line 557 of file packets_gen.h.

Referenced by package_player_info().